Create a vector store.
Create a vector store with specified configuration parameters.
Initialize a new vector store that can be configured with file chunking strategies, expiration policies or retention strategies, and metadata. The operation involves multiple steps:
- Validate if the name is unique within the project.
- Create a document in the vector stores collection.
- Initialize a corresponding collection in the underlying vector database.
- Process associated files for vector store creation.
Needs user bearer token in authorization header.
In: header
Header Parameters
Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.
Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization
{"type":"auto","static":{"chunk_overlap_tokens":400,"max_chunk_size_tokens":800}}A list of File IDs that the vector store should use. Useful for tools like file_search that can access files.
[]The name of the vector store.
""Response Body
curl -X POST "https://loading/v1/vector_stores" \ -H "OpenAI-Organization: string" \ -H "OpenAI-Project: string" \ -H "Content-Type: application/json" \ -d '{}'{
"project_id": "5eb7cf5a86d9755df3a6c593",
"object": "vector_store",
"name": "",
"status": "in_progress",
"file_counts": {
"cancelled": 0,
"completed": 0,
"failed": 0,
"in_progress": 0,
"total": 0
},
"expires_after": {
"anchor": "last_active_at",
"days": 36500
},
"metadata": {},
"chunking_strategy": {
"type": "auto",
"static": {
"chunk_overlap_tokens": 400,
"max_chunk_size_tokens": 800
}
},
"id": "5eb7cf5a86d9755df3a6c593",
"last_active_at": 0,
"created_at": 0,
"expires_at": 0,
"bytes": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.